DADA2 error in virtual box environment

Hello!

I am running DADA2 in Qiime2-2021.8. I use qiime in Virtual box on my PC

This is the code:
qiime dada2 denoise-paired --i-demultiplexed-seqs demux01.qza --output-dir otu-dada1 --p-trim-left-f 0 --p-trim-left-r 0 --p-trunc-len-f 195 --p-trunc-len-r 215

I am getting this error:
(qiime2-2021.8) [email protected]:~/CarinataMetabarcode$ jobs
[1]+ Running nohup qiime dada2 denoise-paired --i-demultiplexed-seqs demux01.qza --output-dir otu-dada0 --p-trim-left-f 20 --p-trim-left-r 20 --p-trunc-len-f 195 --p-trunc-len-r 215 &
(qiime2-2021.8) [email protected]:~/CarinataMetabarcode$ jobs
[1]+ Exit 1 nohup qiime dada2 denoise-paired --i-demultiplexed-seqs demux01.qza --output-dir otu-dada0 --p-trim-left-f 20 --p-trim-left-r 20 --p-trunc-len-f 195 --p-trunc-len-r 215
(qiime2-2021.8) [email protected]:~/CarinataMetabarcode$ cat /tmp/qiime2-q2cli-err-hbippqrq.log
R version 4.0.5 (2021-03-31)
Loading required package: Rcpp
DADA2: 1.18.0 / Rcpp: 1.0.7 / RcppParallel: 5.1.4

  1. Filtering Running external command line application(s). This may print messages to stdout and/or stderr.
    The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpqvbiw61q/forward /tmp/tmpqvbiw61q/reverse /tmp/tmpqvbiw61q/output.tsv.biom /tmp/tmpqvbiw61q/track.tsv /tmp/tmpqvbiw61q/filt_f /tmp/tmpqvbiw61q/filt_r 195 215 20 20 2.0 2.0 2 12 independent consensus 1.0 1 1000000

Traceback (most recent call last):
File "/home/qiime2/miniconda/envs/qiime2-2021.8/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 266, in denoise_paired
run_commands([cmd])
File "/home/qiime2/miniconda/envs/qiime2-2021.8/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 36, in run_commands
subprocess.run(cmd, check=True)
File "/home/qiime2/miniconda/envs/qiime2-2021.8/lib/python3.8/subprocess.py", line 516, in run
raise CalledProcessError(retcode, process.args,
subprocess.CalledProcessError: Command '['run_dada_paired.R', '/tmp/tmpqvbiw61q/forward', '/tmp/tmpqvbiw61q/reverse', '/tmp/tmpqvbiw61q/output.tsv.biom', '/tmp/tmpqvbiw61q/track.tsv', '/tmp/tmpqvbiw61q/filt_f', '/tmp/tmpqvbiw61q/filt_r', '195', '215', '20', '20', '2.0', '2.0', '2', '12', 'independent', 'consensus', '1.0', '1', '1000000']' died with <Signals.SIGKILL: 9>.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/qiime2/miniconda/envs/qiime2-2021.8/lib/python3.8/site-packages/q2cli/commands.py", line 329, in call
results = action(**arguments)
File "", line 2, in denoise_paired
File "/home/qiime2/miniconda/envs/qiime2-2021.8/lib/python3.8/site-packages/qiime2/sdk/action.py", line 245, in bound_callable
outputs = self.callable_executor(scope, callable_args,
File "/home/qiime2/miniconda/envs/qiime2-2021.8/lib/python3.8/site-packages/qiime2/sdk/action.py", line 391, in callable_executor
output_views = self._callable(**view_args)
File "/home/qiime2/miniconda/envs/qiime2-2021.8/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 279, in denoise_paired
raise Exception("An error was encountered while running DADA2"
Exception: An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.

It runs for hours before giving the error message which makes me think it's mostly working but there may be one small detail that is messing it up. Please help!

Thank you
Katie G.

Hi @Katie , welcome to the forum!

These messages indicate that you ran out of RAM while running the job:

So you are absolultely right about this:

The bad news is that you have almost enough RAM, but not quite enough... so your computer chugs along for hours and is probably almost finished when.... :disappointed:

As you are using VirtualBox, I recommend checking out how much RAM you are allocating to the virtual machine. If you cannot allocate more, your only choice will be to access a more powerful machine for this step...

I hope that helps!

3 Likes